Page MenuHomePhabricator

rack/setup/install labtestservices2003.wikimedia.org
Closed, ResolvedPublic

Description

This task will track the racking and setup of new host labtestservices2003. This host was ordered on procurement task T163018.

Racking Proposal: labtestservices2003 will need to use a public vlan, so it can go into ANY of the rows, into a 1GBE rack. Please do not place in the same rack as any other hosts named labtestservices* hosts.

  • - receive in system on procurement task T163018
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - note network port on this task, escalate task to @RobH for remainder of steps
    • end on-site specific steps
  • - network port setup (description, enable, vlan)
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet/salt accept/initial run
  • - handoff for service implementation to @chasemp

Event Timeline

RobH created this task.Jun 26 2017, 5:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2017, 5:02 PM
RobH reassigned this task from RobH to chasemp.Jun 26 2017, 5:03 PM

@chasemp: Please review my racking and vlan/IP proposal above and confirm or correct. Once that is done, please assign back to me for clarification, or directly to @Papaul for implementation.

Thanks!

chasemp reassigned this task from chasemp to Papaul.Jun 28 2017, 3:28 PM

@chasemp: Please review my racking and vlan/IP proposal above and confirm or correct. Once that is done, please assign back to me for clarification, or directly to @Papaul for implementation.
Thanks!

Racking Proposal: labtestservices2003 will need to use a public vlan, so it can go into ANY of the rows, into a 1GBE rack. Please do not place in the same rack as any other hosts named labtestservices* hosts.

yes please

Rack location

Row D rack D1

Papaul updated the task description. (Show Details)Jun 28 2017, 3:54 PM
Papaul updated the task description. (Show Details)Jun 28 2017, 4:46 PM

Change 362115 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt DNS entries for labtestcontrol2003,labtestservices200[2-3] and labtestmetal2001

https://gerrit.wikimedia.org/r/362115

Change 362115 merged by Dzahn:
[operations/dns@master] DNS: Add mgmt DNS entries for labtestcontrol2003,labtestservices200[2-3] and labtestmetal2001

https://gerrit.wikimedia.org/r/362115

Papaul updated the task description. (Show Details)Jun 29 2017, 5:31 PM

port information

ge-1/0/13

@Papaul, can you get this knocked out this week? (some of our goals this quarter will depend on this it seems)

Papaul added a comment.Jul 3 2017, 2:58 PM

@chasemp working on it.

Change 363022 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add production DNS entries for labtestservices2003,labtestcontrol2003,labtestservices2002 and labtestmetal2001

https://gerrit.wikimedia.org/r/363022

Change 363039 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add DHCP entries for labtestservices2003,labtestcontrol2003,labtestservices2002 and labtestmetal2001

https://gerrit.wikimedia.org/r/363039

Change 363039 merged by RobH:
[operations/puppet@production] DHCP: Add DHCP entries for labtestservices2003,labtestcontrol2003,labtestservices2002 and labtestmetal2001

https://gerrit.wikimedia.org/r/363039

Change 363022 merged by Dzahn:
[operations/dns@master] DNS: Add production DNS entries for labtestservices2003,labtestcontrol2003,labtestservices2002 and labtestmetal2001

https://gerrit.wikimedia.org/r/363022

Dzahn added a subscriber: Dzahn.Jul 3 2017, 7:52 PM

labtestservices2003.wikimedia.org has address 208.80.153.109

Change 363378 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] ADD partman entries for labtestmetal2001,labtestservices2002,labtestservices2003 and labtestcontrol2003

https://gerrit.wikimedia.org/r/363378

Change 363378 merged by Dzahn:
[operations/puppet@production] install_server: partman entries for new labtest[metal|service|control]*

https://gerrit.wikimedia.org/r/363378

Papaul reassigned this task from Papaul to RobH.Jul 5 2017, 7:49 PM
Papaul updated the task description. (Show Details)

@RobH can you please setup the network port for me? Once done you can assign the task back to me for me to proceed with the installation.

Thanks.

Papaul added a comment.Jul 6 2017, 5:05 PM

asw-d-codfw:ge-1/0/13

RobH reassigned this task from RobH to Papaul.Jul 6 2017, 5:44 PM

network port setup done

RobH updated the task description. (Show Details)Jul 6 2017, 5:44 PM
Papaul reassigned this task from Papaul to chasemp.Jul 6 2017, 8:56 PM
Papaul updated the task description. (Show Details)

@chasemp This is complete, you can take over.

Thanks.

The server has been installed with a public IP, but not added to site.pp, so there's currently no ferm rules enabled. Please add it to site.pp with "include standard" and "include base::firewall" if it's ready to carry a specific role.

Change 363843 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] labtest: new public servers add base firewall

https://gerrit.wikimedia.org/r/363843

Change 363843 merged by Rush:
[operations/puppet@production] labtest: new public servers add base firewall

https://gerrit.wikimedia.org/r/363843

chasemp closed this task as Resolved.Jul 24 2017, 3:07 PM

closing this as further implementation will be tracked in other tasks